Subject: [Ltru] Re: Marketing of the standard (Was: "Placeholder" dates in draft Registry

From: Stephane Bortzmeyer <[email-masked]>
Date: Sun, 4 Mar 2007 10:49:10 +0100

On Tue, Feb 27, 2007 at 11:46:23AM +0100,
 Stephane Bortzmeyer <[email-masked]> wrote 
 a message of 18 lines which said:

> Do not forget also the other Standards, often better known than RFC
> 4646. Many of them just reference "ISO 639" without any knowledge of
> the complications involved.

Worse, I discovered that the future standard OOXML (Microsoft's
comptetitor to ODF, Open Document Format) does not even use ISO 639 to
tag the language in its documents, but a proprietary way:

http://tirania.org/blog/archive/2007/Jan-30.html
http://www.grokdoc.net/index.php/EOOXML_objections
http://www.consortiuminfo.org/standardsblog/article.php?story=20070117145745854

If someone has influence over ISO, it is time to speak up.

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Gerard Meijssen <[email-masked]>
Date: Mon, 05 Mar 2007 14:46:09 +0100

> If someone has influence over ISO, it is time to speak up.
Hoi,
It is also a good moment to reflect.. Microsoft is not interested in 
Standards. What is the point of considering Microsoft's position at all 
as a consequence ?
Thanks,
    Gerard

---

From: Peter Constable <[email-masked]>
Date: Mon, 5 Mar 2007 22:58:37 -0800

Perhaps before anybody goes making proclamations about Microsoft's stance wrt standards they should understand the facts. I've seen repeated claims about OOXML and non-use of ISO 639. E.g.,

"Some of the objections over OOXML are based around the fact that it does not use existing ISO standards for some of the bits in it. They list 7 ISO standards that OOXML does not use: 8601 dates and times; 639 names and languages; 8632 computer graphics and metafiles; 10118-3 cryptography as well as a handful of W3C standards."

While I'm not exactly satisfied with how language tagging is handled in the ECMA standard for OOXML, the above statement simply is factually wrong wrt ISO 639.

I'm particularly astounded that the earliest false claims appear to have come from a law firm that reviewed the doc.

Peter

-----Original Message-----
From: Gerard Meijssen [mailto:[email-masked]]
Sent: Monday, March 05, 2007 5:46 AM
To: Stephane Bortzmeyer
Cc: Gerard Meijssen; LTRU Working Group
Subject: [Ltru] Re: Marketing of the standard (Was: "Placeholder" dates in draft Registry

Hoi,

---

From: Peter Constable <[email-masked]>
Date: Mon, 5 Mar 2007 23:13:41 -0800

The page on www.consortiuminfo.org was prepared by a legal analyst specializing in technology, Andy Updegrove, of the law firm Gesmer Updegrove LLP. His page makes the statemewnt:

"More substantively in the contradiction department, OOXML does not follow ISO 639 "Codes for the Representation of Names and Languages."  That standard defines a list of codes that are maintained by a Registration Authority charged with keeping the list current as ethno-linguistic changes evolve.  Instead, section 2.18.52, "ST_LangCode (Two Digit Hexadecimal Language Code)" (page 2531) says that you must use a fixed list of numeric language codes rather than the already existing set that provide for interoperability among other standards-compliant products - a not unimportant factor in a text standard."

While it is true that a fixed list of numeric values (represented as hex strings) are required for ST_LangCode, it is factually incorrect that the file format requires use of a fixed list of numeric language codes rather than tags based on ISO 639. The file format does not require use of ST_LangCode; this is only one of two simple types for language-identifier values. The other uses ISO 639; there is nothing whatsoever in the spec that indicates any preference for the former over the latter.

Frankly, if I had seen the level of analysis demonstrated on an entrance exam, I probably would have rejected the candidate from entrance into law school. It's disgraceful.

Peter

---

From: GerardM <[email-masked]>
Date: Tue, 6 Mar 2007 08:17:54 +0100

Hoi,
Given that "get the facts" is a Microsoft marketing slogan, it would be nice
to have some facts and not a statement that "it is factually wrong". The
point here is the support of ISO-639 support. The document on OOXML is
notorious for its size and complexity; it is not something where you want to
go if you can help it.

Given that you are working for Microsoft, could you please isolate the
relevant parts that explicitly and unambiguously provide the facts as to the
position of the standards that are of relevance to us ?

Thanks,
     Gerard

On 3/6/07, Peter Constable <[email-masked]> wrote:
>
> Perhaps before anybody goes making proclamations about Microsoft's stance
> wrt standards they should understand the facts. I've seen repeated claims
> about OOXML and non-use of ISO 639. E.g.,
>
> "Some of the objections over OOXML are based around the fact that it does
> not use existing ISO standards for some of the bits in it. They list 7 ISO
> standards that OOXML does not use: 8601 dates and times; 639 names and
> languages; 8632 computer graphics and metafiles; 10118-3 cryptography as
> well as a handful of W3C standards."
>
> While I'm not exactly satisfied with how language tagging is handled in
> the ECMA standard for OOXML, the above statement simply is factually wrong
> wrt ISO 639.
>
> I'm particularly astounded that the earliest false claims appear to have
> come from a law firm that reviewed the doc.
>
>
> Peter
>
>

---

From: Peter Constable <[email-masked]>
Date: Mon, 5 Mar 2007 23:42:05 -0800

The spec may be big, but it's not that opaque. It took me a very short time to sort out the relevant facts. My working for MS has nothing to do with the facts which anyone can readily ascertain: read the spec, not the hype. If you want accurate details, you can start with the letter from LSA to ANSI, which is the only accurate analysis that has been stated publicly that I'm aware of: http://lsadc.org/info/lsa-ansi-letter.cfm. (The "Background" statement has a bit of a misleading tone; read the letter itself.)

Peter

From: GerardM [mailto:[email-masked]]
Sent: Monday, March 05, 2007 11:18 PM
To: Peter Constable
Cc: Stephane Bortzmeyer; LTRU Working Group
Subject: Re: [Ltru] Re: Marketing of the standard (Was: "Placeholder" dates in draft Registry

Hoi,
Given that "get the facts" is a Microsoft marketing slogan, it would be nice to have some facts and not a statement that "it is factually wrong". The point here is the support of ISO-639 support. The document on OOXML is notorious for its size and complexity; it is not something where you want to go if you can help it.

Given that you are working for Microsoft, could you please isolate the relevant parts that explicitly and unambiguously provide the facts as to the position of the standards that are of relevance to us ?

Thanks,
     Gerard
On 3/6/07, Peter Constable <[email-masked]<mailto:[email-masked]>> wrote:
Perhaps before anybody goes making proclamations about Microsoft's stance wrt standards they should understand the facts. I've seen repeated claims about OOXML and non-use of ISO 639. E.g.,

Peter

-----Original Message-----
From: Gerard Meijssen [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Monday, March 05, 2007 5:46 AM
To: Stephane Bortzmeyer
Cc: Gerard Meijssen; LTRU Working Group
Subject: [Ltru] Re: Marketing of the standard (Was: "Placeholder" dates in draft Registry

Stephane Bortzmeyer schreef:
>  Stephane Bortzmeyer <[email-masked]<mailto:[email-masked]>> wrote
Hoi,

_______________________________________________
Ltru mailing list
[email-masked]<mailto:[email-masked]>
https://www1.ietf.org/mailman/listinfo/ltru

---

From: GerardM <[email-masked]>
Date: Tue, 6 Mar 2007 08:46:42 +0100

Hoi,
In a later post you write: "Instead, section 2.18.52, "ST_LangCode (Two
Digit Hexadecimal Language Code)" (page 2531) says that you must use a fixed
list of numeric language codes rather than the already existing set that
provide for interoperability among other standards-compliant products - a
not unimportant factor in a text standard.""

This is pretty conclusive I would say.. Where is the standard in there?
Thanks,
    GerardM

On 3/6/07, Peter Constable <[email-masked]> wrote:
>
>  The spec may be big, but it's not that opaque. It took me a very short
> time to sort out the relevant facts. My working for MS has nothing to do
> with the facts which anyone can readily ascertain: read the spec, not the
> hype. If you want accurate details, you can start with the letter from LSA
> to ANSI, which is the only accurate analysis that has been stated publicly
> that I'm aware of: http://lsadc.org/info/lsa-ansi-letter.cfm. (The
> "Background" statement has a bit of a misleading tone; read the letter
> itself.)
>
>
>
>
>
> Peter
>
>
>
> *From:* GerardM [mailto:[email-masked]]
> *Sent:* Monday, March 05, 2007 11:18 PM
> *To:* Peter Constable
> *Cc:* Stephane Bortzmeyer; LTRU Working Group
> *Subject:* Re: [Ltru] Re: Marketing of the standard (Was: "Placeholder"
> dates in draft Registry
>
>
>
> Hoi,
> Given that "get the facts" is a Microsoft marketing slogan, it would be
> nice to have some facts and not a statement that "it is factually wrong".
> The point here is the support of ISO-639 support. The document on OOXML is
> On 3/6/07, *Peter Constable* <[email-masked]> wrote:
>

---

From: Peter Constable <[email-masked]>
Date: Tue, 6 Mar 2007 00:18:38 -0800

I'm only posting on this thread because I'm absolutely incensed by the hype wrt ISO 639 that keeps getting repeated that was initiated by a technology law specialist but is just plain wrong - for a lawyer, embarrassingly so. The first restatement of it I learned about was from a linguistics professor: a person in that profession also should be confirming the accuracy of a claim before making it their own. Seeing it made me ashamed to call myself a linguist.

The simply type ST_LangCode requires a fixed list of numeric values. The point is, this is not the only simple type used for language-identifying metadata elements.

The argument being made is comparable to saying that BCP 47 section 2.2.8 on "grandfathered" requires you to use a fixed list values in the IANA registry, 32 in number, rather than using ISO standards. The immediate statement wrt grandfathered is true, but the broader claim wrt to the whole is absolutely false.

ST_LangCode is to OOXML as grandfathered is to BCP 47: legacy cruft. Yes, it allows only certain numeric values. But the spec does not require that data type to be used for language identification. It also allows another data type, ST_Lang, which has as values strings that use ISO 639 and ISO 3166. This is stated clearly in the immediately-adjacent section, 2.18.51 of part 4. (All of this pertains specifically to WordprocessingML.)

Determine what the spec actually says first. Then state your evaluation. Don't do the latter without the former.

Btw, I hope that over the years I have demonstrated integrity to people on this list who have known me for any length of time, and that my affiliation with any particular corporate entity would not for a moment raise any question in their minds regarding the sincerity of statements that I make.

Peter

From: GerardM [mailto:[email-masked]]
Sent: Monday, March 05, 2007 11:47 PM
To: Peter Constable
Cc: Stephane Bortzmeyer; LTRU Working Group
Subject: Re: [Ltru] Re: Marketing of the standard (Was: "Placeholder" dates in draft Registry

Hoi,
In a later post you write: "Instead, section 2.18.52, "ST_LangCode (Two Digit Hexadecimal Language Code)" (page 2531) says that you must use a fixed list of numeric language codes rather than the already existing set that provide for interoperability among other standards-compliant products - a not unimportant factor in a text standard.""

Peter

From: GerardM [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Monday, March 05, 2007 11:18 PM
To: Peter Constable
Cc: Stephane Bortzmeyer; LTRU Working Group
Subject: Re: [Ltru] Re: Marketing of the standard (Was: "Placeholder" dates in draft Registry

Hoi,

Thanks,
     Gerard

Peter

-----Original Message-----
From: Gerard Meijssen [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Monday, March 05, 2007 5:46 AM
To: Stephane Bortzmeyer
Cc: Gerard Meijssen; LTRU Working Group
Subject: [Ltru] Re: Marketing of the standard (Was: "Placeholder" dates in draft Registry

Hoi,

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Tue, 6 Mar 2007 09:41:17 +0100

On Tue, Mar 06, 2007 at 12:18:38AM -0800,
 Peter Constable <[email-masked]> wrote 
 a message of 605 lines which said:

> I'm only posting on this thread because I'm absolutely incensed by
> the hype wrt ISO 639

We all can see that you are incensed. I inform you that it has
consequences on your messages: it is only now that you gave specific
and technical replies to the issue at stake. Before that, we got just
"You dummy, read the spec!"

> ST_LangCode is to OOXML as grandfathered is to BCP 47: legacy
> cruft. Yes, it allows only certain numeric values. But the spec does
> not require that data type to be used for language identification.

OK

> It also allows another data type, ST_Lang, which has as values
> strings that use ISO 639 and ISO 3166.

By curiosity, why not BCP 47? Some standards just refer to ISO 639
because they don't know BCP 47 or don't like the IETF. But they just
use plain ISO 639. If OOXML uses a combination of two ISO standards,
why designing a new combination instead of existing BCP 47?

---

From: "Mark Davis" <[email-masked]>
Date: Tue, 6 Mar 2007 00:23:52 -0800

On 3/6/07, Peter Constable <[email-masked]> wrote:
>
> Btw, I hope that over the years I have demonstrated integrity to people on
> this list who have known me for any length of time, and that my affiliation
> with any particular corporate entity would not for a moment raise any
> question in their minds regarding the sincerity of statements that I make.
>

Absolutely no question in my mind!

Mark

---

From: Peter Constable <[email-masked]>
Date: Tue, 6 Mar 2007 01:34:21 -0800

> "You dummy, read the spec!"

On the contrary, it was a few days ago, at the start of the original thread, that a pointer was provided to the LSA page with their letter to ANSI, which gives an accurate statement of the facts. If people had actually read the content referenced at the initiation of the discussion rather than going off to find other sources and taking those as somehow more reliable (which on face value do not suggest anywhere near the level of reliability of that in LSA's letter, given the amount of specific details cited), then I expect there likely wouldn't have been any need to explain anything.

But frankly, I don't see what's wrong with expecting people to confirm what's in the spec directly before they believe what someone posts on a blog. The ability to self-publish does not in any way infer reliability. And especially when the topic is a controversial spec and in particular a claim related to a portion of the spec that this list would find of particular concern, if true, then it behooves people here to confirm what is actually stated before commenting on it. Besides, the way that ISO process works is that bodies need to provide specific, actionable comments, which can only be prepared if you have actually read the spec. So, if people want to do anything actually constructive about the matter with ISO rather than just blowing hot air, they need to read the spec.

If anyone felt I implied "dummy" of them, I apologize.

> By curiosity, why not BCP 47?

Please see the LSA page that started this discussion: that question has already been asked.

> Some standards just refer to ISO 639

I completely agree with the critique that BCP 47 should be referenced. They don't just use plain ISO 639; they use something roughly comparable to RFC 1766 (the original BCP 47). They do not design a new combination; it's a combination that's been around for years. My guess is that whoever wrote that part of the spec simply didn't know about BCP 47.

Peter

---

From: Peter Constable <[email-masked]>
Date: Tue, 6 Mar 2007 01:34:40 -0800

Thanks.

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Tuesday, March 06, 2007 12:24 AM
To: Peter Constable
Cc: LTRU Working Group
Subject: Re: [Ltru] Re: Marketing of the standard (Was: "Placeholder" dates in draft Registry

Mark

---

From: John Cowan <[email-masked]>
Date: Tue, 6 Mar 2007 09:12:43 -0500

Peter Constable scripsit:

> Btw, I hope that over the years I have demonstrated integrity to
> people on this list who have known me for any length of time, and that
> my affiliation with any particular corporate entity would not for a
> moment raise any question in their minds regarding the sincerity of
> statements that I make.

It would not.  Not for a moment.

-- 
The Imperials are decadent, 300 pound   John Cowan <[email-masked]>
free-range chickens (except they have   http://www.ccil.org/~cowan
teeth, arms instead of wings, and
dinosaurlike tails).                        --Elyse Grasso